org.apache.olingo.odata2.api.edm.provider

## Class Mapping

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.Mapping

- All Implemented Interfaces:
    EdmMapping

      public class Mapping
      extends Object
      implements EdmMapping

  Object of this class represent the mapping of a value to a MIME type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mapping()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInternalName()` Get the mapping value
    `String` | `getMediaResourceMimeTypeKey()` Gets the key under which the resource mime type can be found in the data map.
    `String` | `getMediaResourceSourceKey()` Gets the key under which the resource source value can be found in the data map.
    `Object` | `getObject()` Get the set object for this mapping
    `Mapping` | `setInternalName(String value)` Sets the value for this `Mapping`.
    `Mapping` | `setMediaResourceMimeTypeKey(String mediaResourceMimeTypeKey)` Sets the key for the resource mime type key which is used for the lookup in the data map
    `Mapping` | `setMediaResourceSourceKey(String mediaResourceSourceKey)` Sets the key for the resource source key which is used for the lookup in the data map
    `Mapping` | `setObject(Object object)` Sets an object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mapping

          public Mapping()

  - ### Method Detail

    - #### getInternalName

          public String getInternalName()

      Description copied from interface: `EdmMapping`
      Get the mapping value
      Specified by:
        `getInternalName` in interface `EdmMapping`
      Returns:
        mapping name as String

    - #### getObject

          public Object getObject()

      Description copied from interface: `EdmMapping`
      Get the set object for this mapping
      Specified by:
        `getObject` in interface `EdmMapping`
      Returns:
        `Object` object

    - #### getMediaResourceSourceKey

          public String getMediaResourceSourceKey()

      Description copied from interface: `EdmMapping`
      Gets the key under which the resource source value can be found in the data map.
      Specified by:
        `getMediaResourceSourceKey` in interface `EdmMapping`
      Returns:
        the key of the media resource source

    - #### getMediaResourceMimeTypeKey

          public String getMediaResourceMimeTypeKey()

      Description copied from interface: `EdmMapping`
      Gets the key under which the resource mime type can be found in the data map.
      Specified by:
        `getMediaResourceMimeTypeKey` in interface `EdmMapping`
      Returns:
        the key of the media resource type

    - #### setInternalName

          public Mapping setInternalName(String value)

      Sets the value for this `Mapping`.
      Parameters:
        `value` -
      Returns:
        `Mapping` for method chaining

    - #### setObject

          public Mapping setObject(Object object)

      Sets an object. This method can be used by a provider to set whatever it wants to associate with this.
      Parameters:
        `object` -
      Returns:
        `Mapping` for method chaining

    - #### setMediaResourceSourceKey

          public Mapping setMediaResourceSourceKey(String mediaResourceSourceKey)

      Sets the key for the resource source key which is used for the lookup in the data map
      Parameters:
        `mediaResourceSourceKey` - under which the source can be found in the data map
      Returns:
        `Mapping` for method chaining

    - #### setMediaResourceMimeTypeKey

          public Mapping setMediaResourceMimeTypeKey(String mediaResourceMimeTypeKey)

      Sets the key for the resource mime type key which is used for the lookup in the data map
      Parameters:
        `mediaResourceMimeTypeKey` - under which the mime type can be found in the data map
      Returns:
        `Mapping` for method chaining

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.